%define anolis_release 2
%global srcname pid

%global common_description %{expand:
pid provides a PidFile class that manages PID files. PidFile features:
  - stale detection
  - locking using fcntl
  - chmod (default is 0o644)
  - chown
  - custom exceptions

PidFile can also be used as a context manager or a decorator.}

%bcond_without  python3
%bcond_without  python3_tests

Name:           python-%{srcname}
Version:        3.0.4
Release:        %{anolis_release}%{?dist}
Summary:        PID file management library

License:        ASL 2.0
URL:            https://github.com/trbs/pid
Source0:        %pypi_source

BuildArch:      noarch

%description %{common_description}

%if %{with python3}
%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%if %{with python3_tests}
BuildRequires:  python%{python3_pkgversion}-pytest
%endif

%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname} %{common_description}

%package -n     python%{python3_pkgversion}-%{srcname}-doc
Summary:        doc files for python%{python3_pkgversion}-%{srcname}
Requires:       python%{python3_pkgversion}-%{srcname} = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{srcname}-doc
doc files for python%{python3_pkgversion}-%{srcname}

%endif

%prep
# This needs to have a blank line after because of a bug in the EL6 macros
%autosetup -p1 -n %{srcname}-%{version}

rm -rf %{srcname}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%if %{with python3}
%pyproject_wheel
%endif

%install
%if %{with python3}
%pyproject_install
%endif

%check
%if %{with python3_tests}
%pytest
%endif

%if %{with python3}
%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}.dist-info/
%endif

%files -n python%{python3_pkgversion}-%{srcname}-doc
%doc AUTHORS CHANGELOG README.rst

%changelog
* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.0.4-2
- optimise dependency

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.0.4-1
- init from upstream
